Package javassist.bytecode

# Class SignatureAttribute.TypeVariable

java.lang.Object
javassist.bytecode.SignatureAttribute.Type
javassist.bytecode.SignatureAttribute.ObjectType
javassist.bytecode.SignatureAttribute.TypeVariable

Enclosing class:
  `SignatureAttribute`

public static class SignatureAttribute.TypeVariable extends SignatureAttribute.ObjectType
Type variables.

## Constructor Summary

Constructors
Constructor
Description
`TypeVariable(String name)`
Constructs a `TypeVariable`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
Returns the variable name.
`String`
`toString()`
Returns the string representation.

### Methods inherited from class javassist.bytecode.SignatureAttribute.ObjectType

`encode`

### Methods inherited from class javassist.bytecode.SignatureAttribute.Type

`jvmTypeName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### TypeVariable

public TypeVariable(String name)
Constructs a `TypeVariable`.

Parameters:
  `name` - the name of a type variable.

## Method Details

### getName

public String getName()
Returns the variable name.

### toString

public String toString()
Returns the string representation.

Overrides:
  `toString` in class `Object`